Subject: Re: Call Me Gitless

From: Petr Baudis <[email-masked]>
Date: Tue, 19 Aug 2008 22:33:53 +0200

On Tue, Aug 19, 2008 at 03:42:01PM -0400, Daniel Barkalow wrote:
> On Tue, 19 Aug 2008, Jeff King wrote:
> Ah, okay. I feel like the main application for this is "I typed some git 
> diff command, started looking at it, my phone rang, I took the call, and 
> now I don't know what I'm looking at, and the pager hides the command 
> line, but quitting the pager loses my place." At least, that's the 
> situation I'm often in.

Press ctrl-z. ;-)

> > > Yeah, that's why I think that format-patch should work on content that you 
> > > haven't committed, generating something you can dump right into an email 
> > > (with the --- and diffstat that you'd get if you actually did commit and 
> > > use format-patch now).

Hmm, and why don't you actually do the commit after all? You can compose
all the details within the commit and you can do the commit on a
separate branch or git reset HEAD^ afterwards if you don't want to keep
it around.

-- 
				Petr "Pasky" Baudis
The next generation of interesting software will be done
on the Macintosh, not the IBM PC.  -- Bill Gates